Summary:	GNOME version of xroach.
Name:		groach
Version:	0.2.0
Release:	1
Copyright:	GPL
Group:		Amusements/Games
URL:		http://www.ainet.or.jp/~inoue/software/groach/index.html
Vendor:		INOUE Seiichiro  <inoue@ainet.or.jp>
Source0:	%{name}-%{version}.tar.gz
Source1:	%{name}.desktop
Source2:	%{name}.fish.desktop
Source3:	%{name}_applet.desktop
Source4:	%{name}_applet.fish.desktop
Source5:	%{name}_applet.gnorba
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Prefix:		%{_prefix}
Packager:	Chris Ausbrooks <weed@bucket.pp.ualr.edu>

%description
GNOME version of xroach.
 
%prep
%setup -q -n %{name}-%{version}

%build
configure --prefix=%{prefix} --sysconfdir=/etc
make

%install
rm -rf %{buildroot}
make prefix=%{buildroot}/%{prefix} \
	sysconfdir=%{buildroot}/etc \
	install
ln -s %{name}_cmd %{buildroot}/%{prefix}/bin/%{name}
cd theme
for i in `/bin/ls */*gth */*png */config` ; do
	install -D -m 0644 $i %{buildroot}/%{prefix}/share/%{name}/$i
done
install -D -m 0644 %{_sourcedir}/%{name}.desktop \
	%{buildroot}/%{prefix}/share/gnome/apps/Games/
install -D -m 0644 %{_sourcedir}/%{name}.fish.desktop \
	%{buildroot}/%{prefix}/share/gnome/apps/Games/
install -D -m 0644 %{_sourcedir}/%{name}_applet.desktop \
	%{buildroot}/%{prefix}/share/applets/Amusements/
install -D -m 0644 %{_sourcedir}/%{name}_applet.fish.desktop \
	%{buildroot}/%{prefix}/share/applets/Amusements/
install -D -m 0644 %{_sourcedir}/%{name}_applet.gnorba \
	%{buildroot}/etc/CORBA/servers/

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc ABOUT-NLS AUTHORS COPYING ChangeLog INSTALL NEWS README TODO
%{prefix}/bin/*
%{prefix}/share/%{name}
%{prefix}/share/gnome/apps/*/*

%changelog
* Fri Jan 14 2000 Chris Ausbrooks <weed@bucket.pp.ualr.edu>
- updated to 0.2.0

* Sat Dec 25 1999 Chris Ausbrooks <weed@bucket.pp.ualr.edu>
- original rpm
